<? $this->headScript()->appendFile(_stm('tiny_mce/tiny_mce.js'), 'text/javascript'); ?>
<?php
$defines = Zend_Registry::get('defines');

function render_lng_picker()
{
    $html = '<div class="lng-picker">';

    foreach (array_reverse(Cubix_I18n::getLangs(false)) as $id => $title) {
        $html .= '<span class="lng-about" data-lang="' . $id . '"><img width="16" height="11" alt="' . $title . '" title="' . $title . '" src="' . _st('_/flag_' . $id . '.png') . '" /></span>';
    }

    $html .= '</div>';

    return $html;
}

?>

<div class="c-body">
    <p class="step-lab"><?= __('step')?> 2/7</p>
    <div class="c-title"><?= __('about_me') ?></div>
    <p class="note-info"><?= __('attention_text_about') ?></p>
</div>

<div class="c-body">
    <div class="body">
        <div class="inner">
            <span class="error old-err" style="width: 10px; height: 11px;">*</span>
            <?= render_lng_picker() ?>
            <div class="clear"></div>

            <div class="about_me_text"></div>

            <div class="clear"></div>
        </div>

        <div class="inner">
            <?php if ($this->errors['about_me_text']): ?>
                <p class="word-error"><?= $this->errors['about_me_text'] ?></p>
            <?php endif; ?>

            <? foreach (array_reverse(Cubix_I18n::getLangs(false)) as $lng => $title): ?>
                <div id="container-about-<?= $lng ?>" class="container-about-field" style="display: none">
                    <textarea class="about-field" id="about-<?= $lng ?>" name="about_<?= $lng ?>" style="width: 98%"
                              rows="10"><?= $this->data['about_' . $lng] ?></textarea>
                </div>
            <? endforeach ?>
        </div>
    </div>
</div>

<div class="c-body">

    <div class="c-title"><?= __('pv2_section_spoken_languages') ?></div>

    <div class="body">

        <input type="hidden" name="session_hash" value="<?= $this->session_hash ?>"/>

        <div class="inner">
            <div name="language_error"></div>
            <div class="error old-err" style="width: 10px; height: 11px;">*</div>
        </div>
        <div class="clear"></div>

        <div class="lngs-box">

            <div class="list">
                <? $sp_langs = array(1 => __('pv2_label_basic'), 2 => __('pv2_label_fair'), 3 => __('pv2_label_good'), 4 => __('pv2_label_excellent_native')); ?>
                <? $c = 0;
                $hide = true; ?>

                <div class="availability-langs">
                    <?php $hiddenLangs = array(); ?>
                    <?php foreach ($defines['language_options'] as $id => $title): $c++; ?>
                        <?php $chk = null; ?>

                        <?php foreach ($this->data['langs'] as $lang) {
                            if ($lang['lang_id'] == $id) {
                                $chk = $lang['level'];
                                break;
                            }
                        } ?>

                        <?php if ($chk) continue;
                        $hiddenLangs[$id] = $title; ?>
                    <? endforeach ?>

                    <div class="add-block">
                        <label>
                            <span><?= __('language') ?></span>
                            <select class="lang-select">
                                <?php foreach ($hiddenLangs as $id => $title): $c++; ?>
                                    <option value="<?= $id ?>"><?= $title ?></option>
                                <?php endforeach; ?>
                            </select>
                        </label>

                        <label>
                            <span><?= __('proficiency') ?></span>
                            <select class="lang-property">
                                <option value="">-</option>
                                <? foreach ($sp_langs as $i => $l): ?>
                                    <option value="<?= $i ?>" <?= $i == $chk ? ' selected="selected"' : '' ?>><?= $l ?></option>
                                <? endforeach; ?>
                            </select>
                        </label>

                        <div>
                            <button class="add-lang-btn fr"><?= __('add_this_lang') ?></button>
                        </div>
                    </div>
                </div>

                <div class="isset-langs">

                    <?php foreach ($defines['language_options'] as $id => $title): $c++; ?>
                        <?php $chk = null; ?>

                        <?php foreach ($this->data['langs'] as $lang) {
                            if ($lang['lang_id'] == $id) {
                                $chk = $lang['level'];
                                break;
                            }
                        } ?>

                        <?php if (!$chk) continue; ?>

                        <div class="row lng-block-<?= $id ?>">
                            <div class="fl">
                                <img src="<?= _st('_/flag_' . $id . '-big.png') ?>" width="23" alt="<?= $title ?>"
                                     title="<?= $title ?>"/>
                                <span><?= $title?>(<?= $sp_langs[$chk]?>)</span>
                            </div>
                            <input type='hidden' value='<?= $chk?>' name='langs[<?=$id?>]' />

                            <div class="col rmv">
                                <a href="#" class="lng-remove">x</a>
                            </div>

                            <div class="clear"></div>
                        </div>

                    <? endforeach ?>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="saveWrapper" class="<?= $__class ?>">
    <input class="to-next" type="button" value="<?= __('mob_go_next') ?>"/>
    <input class="to-prev" type="button" value="<?= __('mob_go_back') ?>"/>
</div>



<style>
    .word-error {
        color: red;
        font-size: 11px;
        padding: 7px 10px;
        background: #fff4f4;
        font-weight: 600;
        border: 1px solid #ffecec;
        margin-bottom: 10px;
        width: calc(100% - 7px);
    }
</style>

<script>
    $(document).ready(function () {
        var lng = '<?=Cubix_I18n::getLang()?>';
        if (!lng) lng = 'it';

        <?php $ii = 0; foreach( $this->errors as $field => $msgs ): $jj += 1; ?>
        MCubix.Errors.show('<?= addslashes($msgs) ?>', true);
        <?php endforeach; ?>

        $('.container-about-field').removeClass('toShow');
        $('#container-about-' + lng).addClass('toShow').focus();

        if (typeof(tinyMCE) !== 'undefined') {
            tinyMCE.init({
                mode: "textareas",
                theme: "advanced",
                theme_advanced_toolbar_location: "top",
                theme_advanced_toolbar_align: "left",
                editor_selector: 'about-field',
                theme_advanced_buttons1: "bold,italic",
                theme_advanced_buttons2: "",
                theme_advanced_buttons3_add: "",
                remove_script_host: false,
                relative_urls: false,
                convert_urls: false
            });
        }

        var _lngBtns = $('.lng-picker').find('.lng-about');
        $('[data-lang="<?=Cubix_I18n::getLang()?>"]').addClass('act');

        _lngBtns.on('click', function () {
            var _lng = $(this).attr('data-lang');

            _lngBtns.removeClass('act');
            $(this).addClass('act');

            $('.container-about-field').removeClass('toShow');
            $('#container-about-' + _lng).addClass('toShow').focus();
        });

        MCubix.Private.init();
    });

    var moreLangs = function (el) {
        $('.list').css('display', 'block');
        $(el).css('display', 'none');
        return false;
    };

    MCubix.Private = {
        blockArchive: null,
        init: function () {
            this.blockArchive = $('.isset-langs').find('.row:last-child').html();

            if (typeof this.blockArchive == 'undefined') {
                this.blockArchive = this.getBlankLangBlock();
            }


            this.removeLang();
            this.toogleRemoveButton();
            this.addLang();
        },

        removeLang: function () {
            $('.isset-langs').on('click', '.lng-remove', function (e) {
                e.preventDefault();
                var rm_btn = $(this);

                $(this).closest('div.row').remove();
            });
        },

        addLang: function () {
            var self = this,
                addBtn = $('.add-lang-btn');

            addBtn.on('click', function (e) {
                e.preventDefault();
                var new_lang = $('.lang-select');
                var new_prop = $('.lang-property');

                if (!new_lang.find(':selected').val()) {
                    new_lang.addClass('field-error');
                    return false;
                } else {
                    new_lang.removeClass('field-error');
                    var _new_lang = new_lang.find(':selected').val();
                    var _new_lang_name = new_lang.find(':selected').text();
                }

                if (!new_prop.find(':selected').val()) {
                    new_prop.addClass('field-error');
                    return false;
                } else {
                    new_prop.removeClass('field-error');
                    var _new_prop = new_prop.find(':selected').val();
                }

                if (_new_lang && _new_lang_name && _new_prop) {
                    self.addLangBlock(_new_lang, _new_lang_name, _new_prop);
                }
            })
        },

        addLangBlock: function (lng, lng_name, prop) {

            var _if_isset_lang = $('.lng-block-' + lng);
            if (_if_isset_lang.length > 0) {
                _if_isset_lang.stop().effect("highlight", {}, 700);
                return false;
            }

            var issetBlock = $('.isset-langs'),
                block = $('<div class="row lng-block-' + lng + '">' + this.blockArchive + '</div>');

            block.find('.fl').find('img').attr({
                src: '/img/_/flag_' + lng + '-big.png',
                alt: lng_name,
                title: lng_name
            });

            block.find('.fl').find('span').text(lng_name);
            block.find('.fl').find('span').next().text('(' + $(".lang-property option:selected").text() + ')');
            block.find('.fl').append("<input type='hidden' value='"+ prop +"' name='langs[" + lng + "]' />");

            block.find('.inner').find('select.sel-prop-box').attr('name', 'langs[' + lng + ']')
                .find('option[value="' + prop + '"]').prop('selected', true);

            issetBlock.append(block);

            $('.lang-select').prop('selectedIndex', 0).find('option[value="' + prop + '"]').attr('disabled', 'disabled');
        },

        getBlankLangBlock: function () {
            return '<div class="fl">\
						<img src="http://m.escortforumit.xxx.dev/img/_/flag_en-big.png" width="23" alt="Inglese" title="Inglese">\
						<span>Inglese</span><span class="level"></span>\
					</div>\
					\
					<div class="inner fleft">\
						<div class="clear"></div>\
					</div>\
					\
					<div class="col rmv">\
						<a href="#" class="lng-remove">x</a>\
					</div>\
					\
					<div class="clear"></div>';
        },

        toogleRemoveButton: function () {
            $('.availability-langs').add('.isset-langs').on('change', 'select', function () {
                var rm_btn = $(this).closest('div.row').find('a.lng-remove');

                if ($(this).val()) {
                    rm_btn.show();
                } else {
                    rm_btn.hide();
                }
            })
        }
    }
</script>